WP1VariableLengthGroup Class Referenceabstract

`#include <WP1VariableLengthGroup.h>`

Inheritance diagram for WP1VariableLengthGroup:

## Public Member Functions

| WP1VariableLengthGroup (unsigned char group)
| ~WP1VariableLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()
virtual void | parse (WP1Listener *listener)=0

## Static Public Member Functions

static WP1VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)

## Protected Member Functions

void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0
unsigned char | getGroup () const
unsigned | getSize () const

## Private Attributes

unsigned char | m_group
unsigned | m_size

## Constructor & Destructor Documentation

## WP1VariableLengthGroup()

WP1VariableLengthGroup::WP1VariableLengthGroup | ( | unsigned char | group | ) |

Referenced by constructVariableLengthGroup(), WP1FootnoteEndnoteGroup::WP1FootnoteEndnoteGroup(), WP1HeaderFooterGroup::WP1HeaderFooterGroup(), WP1PictureGroup::WP1PictureGroup(), WP1SetTabsGroup::WP1SetTabsGroup(), and WP1UnsupportedVariableLengthGroup::WP1UnsupportedVariableLengthGroup().

## ~WP1VariableLengthGroup()

WP1VariableLengthGroup::~WP1VariableLengthGroup | ( |  | ) |

inline override

## Member Function Documentation

## _read()

void WP1VariableLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected

Referenced by WP1FootnoteEndnoteGroup::WP1FootnoteEndnoteGroup(), WP1HeaderFooterGroup::WP1HeaderFooterGroup(), WP1PictureGroup::WP1PictureGroup(), WP1SetTabsGroup::WP1SetTabsGroup(), and WP1UnsupportedVariableLengthGroup::WP1UnsupportedVariableLengthGroup().

## _readContents()

virtual void WP1VariableLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected pure virtual

Implemented in WP1FootnoteEndnoteGroup, WP1HeaderFooterGroup, WP1PictureGroup, WP1SetTabsGroup, and WP1UnsupportedVariableLengthGroup.

Referenced by _read().

## constructVariableLengthGroup()

WP1VariableLengthGroup * WP1VariableLengthGroup::constructVariableLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

static

Referenced by WP1Part::constructPart().

## getGroup()

unsigned char WP1VariableLengthGroup::getGroup | ( |  | ) | const

inline protected

## getSize()

unsigned WP1VariableLengthGroup::getSize | ( |  | ) | const

inline protected

Referenced by WP1FootnoteEndnoteGroup::_readContents(), WP1HeaderFooterGroup::_readContents(), and WP1PictureGroup::_readContents().

## isGroupConsistent()

bool WP1VariableLengthGroup::isGroupConsistent | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | group )

static

Referenced by WP1Part::constructPart().

## Member Data Documentation

## m_group

unsigned char WP1VariableLengthGroup::m_group

private

Referenced by _read(), getGroup(), and WP1VariableLengthGroup().

## m_size

unsigned WP1VariableLengthGroup::m_size

private

Referenced by _read(), getSize(), and WP1VariableLengthGroup().

The documentation for this class was generated from the following files:

- WP1VariableLengthGroup.h
- WP1VariableLengthGroup.cpp